# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(Graph/Writer.pm) perl(LWP/Simple.pm) perl(Math/Trig.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Graph-Writer-DrGeo
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUGOD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Dr. Geo is a GTK interactive geometry software. It allows one to
create geometric figure plus the interactive manipulation of such
figure in respect with their geometric constraints. It is useable in
teaching situation with students from primary or secondary level.

Besides the general file format, Dr.Geo also provide a dynamic
graph definition using the language of Scheme. This module
save any the Graph manpage object into Scheme language, which can be
evaluated and rendered in Dr.Geo.

So far the default layout is the circle layout, more kind of
layout could be added, and patches welcome.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/G*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

